<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
	<modelVersion>4.0.0</modelVersion>
	<groupId>com.fjs.scenic</groupId>
	<artifactId>fjs-parent</artifactId>
	<version>0.0.1-SNAPSHOT</version>
	<packaging>pom</packaging>
	<parent>
		<groupId>org.springframework.boot</groupId>
		<artifactId>spring-boot-starter-parent</artifactId>
		<version>2.0.5.RELEASE</version>
		<relativePath /> <!-- lookup parent from repository -->
	</parent>

	<properties>
		<project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
		<project.reporting.outputEncoding>UTF-8</project.reporting.outputEncoding>
		<java.version>1.8</java.version>
	</properties>
	<dependencyManagement>
		<dependencies>
			<dependency>
				<groupId>com.alipay.sdk</groupId>
				<artifactId>alipay-sdk-java</artifactId>
				<version>3.6.0.ALL</version>
			</dependency>
			<dependency>
				<groupId>com.alibaba</groupId>
				<artifactId>fastjson</artifactId>
				<version>1.2.30</version>
			</dependency>
			<!-- httpclient -->
			<dependency>
				<groupId>commons-httpclient</groupId>
				<artifactId>commons-httpclient</artifactId>
				<version>3.1</version>
			</dependency>
			<!-- mybatis -->
			<dependency>
				<groupId>org.mybatis.spring.boot</groupId>
				<artifactId>mybatis-spring-boot-starter</artifactId>
				<version>1.3.2</version>
			</dependency>
			<!-- 支付相关 -->
			<!-- https://mvnrepository.com/artifact/com.alipay.sdk/alipay-sdk-java -->
			<!-- <dependency>
				<groupId>com.alipay.sdk</groupId>
				<artifactId>alipay-sdk-java</artifactId>
				<version>3.7.4.ALL</version>
			</dependency> -->
			<!-- https://mvnrepository.com/artifact/com.github.wxpay/wxpay-sdk -->
			<dependency>
				<groupId>com.github.wxpay</groupId>
				<artifactId>wxpay-sdk</artifactId>
				<version>0.0.3</version>
			</dependency>
			<!--热部署工具-->
			<!-- <dependency>
				<groupId>org.springframework.boot</groupId>
				<artifactId>spring-boot-devtools</artifactId>
				<optional>true</optional>
			</dependency> -->
		</dependencies>

	</dependencyManagement>
	<profiles>
		<profile>
			<!-- 测试环境 -->
			<id>dev</id>
			<properties>
				<profiles.active>dev</profiles.active>
			</properties>
			<!-- 默认测试开发环境 -->
			<activation>
				<activeByDefault>true</activeByDefault>
			</activation>
		</profile>
		<profile>
			<!-- 生产环境 -->
			<id>prod</id>
			<properties>
				<profiles.active>prod</profiles.active>
			</properties>
		</profile>
	</profiles>
	<build>
		<plugins>
			<!-- <plugin>
				<groupId>org.springframework.boot</groupId>
				<artifactId>spring-boot-maven-plugin</artifactId>
				热启动
				<configuration>
					<fork>true</fork>
				</configuration>
			</plugin> -->
		</plugins>
	</build>
	<modules>
		<module>fjs-scenic-manager</module>
		<module>fjs-scenic-wx</module>
		<module>fjs-scenic-mapper</module>
		<module>fjs-scenic-entity</module>
		<module>fjs-scenic-service</module>
		<module>fjs-scenic-common</module>
	</modules>
</project>